<!DOCTYPE html>
	
<head>
    <style>
       *{
		background-color: aqua;
	   }
        h1 {
            color: rgb(0, 85, 255);
            font-size: 45px;
        }
    
        /* 3*3 Grid */
        #b1, #b2, #b3, #b4, #b5,
        #b6, #b7, #b8, #b9 {
            width: 80px;
            height: 52px;
            margin: auto;
            border: 3px solid rgb(255,0,0);
            border-radius: 8px;
            font-size: 40px;
            text-align: center;
			background-color: chartreuse;
        }
        #b4{
            background-color: red;
        }
        #b2{
            background-color: hotpink;
        }
        #b6{
            background-color: maroon;
        }
        #b8{
            background-color: hotpink;
        }
        
    
      
        #but {
            /* box-sizing: border-box; */
            width: 95px;
            height: 40px;
            border: 2px solid dodgerblue;
            margin: auto;
            border-radius: 4px;
            /* font-family: Verdana, */
                /* Geneva, Tahoma, sans-serif; */
    
            background-color: dodgerblue;
            color: white;
            font-size: 20px;
            cursor: pointer;
        }
    
        /* Player turn space */
        #print {
            font-family: Verdana,
                Geneva, Tahoma, sans-serif;
    
            color: dodgerblue;
            font-size: 20px;
        }
    
        /* Main Container */
        #main {
            text-align: center;
            background-image: linear-gradient(red,blue,orange);
        }
    
        /* Game Instruction Text */
        /* #ins {
            font-family: Verdana,
                Geneva, Tahoma, sans-serif; */
                
            /* color: dodgerblue; */
            /* font-size: 17px; */
        /* } */
         h1{
            background-image: linear-gradient(green,hotpink,blue,yellow,aqua,red);
            font-weight: bold;
            color: peru;
        }
    </style>
    
	<meta name="viewport" content=
		"width=device-width, initial-scale=1.0">
	
	<!-- CSS file Included -->
	<!-- <link rel="stylesheet"
	type="text/css" href="tic.css"> -->
	
	<!-- JavaScript file included -->
	<!-- <script src="tic.js"></script> -->
</head>
	
<body>
    
	<div id="main">
		<h1 >Tic tac toe</h1>
	
		<!-- Game Instructions -->
		<p id="ins">
		</p>


	
	
		<br><br>
		<!-- 3*3 grid of Boxes -->
		<input type="text" id="b1" onclick=
			"myfunc_3(); myfunc();" readonly>
	
		<input type="text" id="b2" onclick=
			"myfunc_4(); myfunc();" readonly>
	
		<input type="text" id="b3" onclick=
			"myfunc_5(); myfunc();" readonly>
		<br><br>
	
		<input type="text" id="b4" onclick=
			"myfunc_6(); myfunc();" readonly>
				
		<input type="text" id="b5" onclick=
			"myfunc_7(); myfunc();" readonly>
	
		<input type="text" id="b6" onclick=
			"myfunc_8(); myfunc();" readonly>
		<br><br>
	
		<input type="text" id="b7" onclick=
			"myfunc_9(); myfunc();" readonly>
	
		<input type="text" id="b8" onclick=
			"myfunc_10();myfunc();" readonly>
	
		<input type="text" id="b9" onclick=
			"myfunc_11();myfunc();" readonly>
	
		<!-- Grid end here -->
		<br><br><br>
		<!-- Button to reset game -->
		<button id="but" onclick="myfunc_2()" >
			RESET
		</button>
	
		<br><br>
		<!-- Space to show player turn -->
		<p id="print"></p>
		<h2 id="stop"></h2>


	
	
	</div>
    <script >
    // Function called whenever user tab on any box
    function myfunc() {
  var b1, b2, b3, b4, b5, b6, b7, b8, b9;
  b1 = document.getElementById("b1").value;
  b2 = document.getElementById("b2").value;
  b3 = document.getElementById("b3").value;
  b4 = document.getElementById("b4").value;
  b5 = document.getElementById("b5").value;
  b6 = document.getElementById("b6").value;
  b7 = document.getElementById("b7").value;
  b8 = document.getElementById("b8").value;
  b9 = document.getElementById("b9").value;

  var xyz = ["b1", "b2", "b3", "b4", "b5", "b6", "b7", "b8", "b9"];

  if (
    ((b1 == "x" || b1 == "X") &&
      (b2 == "x" || b2 == "X") &&
      (b3 == "x" || b3 == "X")) ||
    ((b1 == "0" || b1 == "0") &&
      (b2 == "0" || b2 == "0") &&
      (b3 == "0" || b3 == "0"))
      
  ) {
    
    for (let i = 0; i < xyz.length; i++) {
      var recive = document.getElementById(xyz[i]);
      recive.disabled = true;
      if(flag==0){
        document.getElementById("print").innerHTML = "Player x won";
       }else{
        document.getElementById("print").innerHTML = "Player 0  won";
       }
     }
     

  } else if (
    ((b1 == "x" || b1 == "X") &&
      (b4 == "x" || b4 == "X") &&
      (b7 == "x" || b7 == "X")) ||
    ((b1 == "0" || b1 == "0") &&
      (b4 == "0" || b4 == "0") &&
      (b7 == "0" || b7 == "0"))
  ) {
    for (let i = 0; i < xyz.length; i++) {
      var recive = document.getElementById(xyz[i]);
      recive.disabled = true;
      if(flag==0){
        document.getElementById("print").innerHTML = "Player x won";
       }else{
        document.getElementById("print").innerHTML = "Player 0  won";
       }
    }
   
  } else if (
    ((b7 == "x" || b7 == "X") &&
      (b8 == "x" || b8 == "X") &&
      (b9 == "x" || b9 == "X")) ||
    ((b7 == "0" || b7 == "0") &&
      (b8 == "0" || b8 == "0") &&
      (b9 == "0" || b9 == "0"))
  ) {
    for (let i = 0; i < xyz.length; i++) {
      var recive = document.getElementById(xyz[i]);
      recive.disabled = true;
      if(flag==0){
        document.getElementById("print").innerHTML = "Player x won";
       }else{
        document.getElementById("print").innerHTML = "Player 0  won";
       }
    }
    // document.getElementById("print").innerHTML = "Player  won";
  } else if (
    ((b3 == "x" || b3 == "X") &&
      (b6 == "x" || b6 == "X") &&
      (b9 == "x" || b9 == "X")) ||
    ((b3 == "0" || b3 == "0") &&
      (b6 == "0" || b6 == "0") &&
      (b9 == "0" || b9 == "0"))
  ) {
    for (let i = 0; i < xyz.length; i++) {
      var recive = document.getElementById(xyz[i]);
      recive.disabled = true;
      if(flag==0){
        document.getElementById("print").innerHTML = "Player x won";
       }else{
        document.getElementById("print").innerHTML = "Player 0  won";
       }
    }
    // document.getElementById("print").innerHTML = "Player  won";
  } else if (
    ((b1 == "x" || b1 == "X") &&
      (b5 == "x" || b5 == "X") &&
      (b9 == "x" || b9 == "X")) ||
    ((b1 == "0" || b1 == "0") &&
      (b5 == "0" || b5 == "0") &&
      (b9 == "0" || b9 == "0"))
  ) {
    for (let i = 0; i < xyz.length; i++) {
      var recive = document.getElementById(xyz[i]);
      recive.disabled = true;
      if(flag==0){
        document.getElementById("print").innerHTML = "Player x won";
       }else{
        document.getElementById("print").innerHTML = "Player 0  won";
       }
    }
    // document.getElementById("print").innerHTML = "Player  won";
  } else if (
    ((b3 == "x" || b3 == "X") &&
      (b5 == "x" || b5 == "X") &&
      (b7 == "x" || b7 == "X")) ||
    ((b3 == "0" || b3 == "0") &&
      (b5 == "0" || b5 == "0") &&
      (b7 == "0" || b7 == "0"))
  ) {
    for (let i = 0; i < xyz.length; i++) {
      var recive = document.getElementById(xyz[i]);
      recive.disabled = true;
      if(flag==0){
        document.getElementById("print").innerHTML = "Player x won";
       }else{
        document.getElementById("print").innerHTML = "Player 0  won";
       }
    }
    // document.getElementById("print").innerHTML = "Player  won";
  } else if (
    ((b2 == "x" || b2 == "X") &&
      (b5 == "x" || b5 == "X") &&
      (b8 == "x" || b8 == "X")) ||
    ((b2 == "0" || b2 == "0") &&
      (b5 == "0" || b5 == "0") &&
      (b8 == "0" || b8 == "0"))
  ) {
    for (let i = 0; i < xyz.length; i++) {
      var recive = document.getElementById(xyz[i]);
      recive.disabled = true;
      if(flag==0){
        document.getElementById("print").innerHTML = "Player x won";
       }else{
        document.getElementById("print").innerHTML = "Player 0  won";
       }
    }
    // document.getElementById("print").innerHTML = "Player  won";
  } else if (
    ((b4 == "x" || b4 == "X") &&
      (b5 == "x" || b5 == "X") &&
      (b6 == "x" || b6 == "X")) ||
    ((b4 == "0" || b4 == "0") &&
      (b5 == "0" || b5 == "0") &&
      (b6 == "0" || b6 == "0"))
  ) {
    for (let i = 0; i < xyz.length; i++) {
      var recive = document.getElementById(xyz[i]);
      recive.disabled = true;
      if(flag==0){
        document.getElementById("print").innerHTML = "Player x won";
       }else{
        document.getElementById("print").innerHTML = "Player 0  won";
       }
    }
    // document.getElementById("print").innerHTML = "Player X won";
  } else if (
    (b1 == "X" || b1 == "0") &&
    (b2 == "X" || b2 == "0") &&
    (b3 == "X" || b3 == "0") &&
    (b4 == "X" || b4 == "0") &&
    (b5 == "X" || b5 == "0") &&
    (b6 == "X" || b6 == "0") &&
    (b7 == "X" || b7 == "0") &&
    (b8 == "X" || b8 == "0") &&
    (b9 == "X" || b9 == "0")
  ) {
    document.getElementById("print").innerHTML = "Match Tie";
  }

  // var val=[
  //     [0,1,2],
  //     [3,4,5],
  //     [6,7,8],
  //     [0,3,6],
  //     [1,4,7],
  //     [2,5,8],
  //     [0,4,8],
  //     [2,4,6]
  // ]
}
// Function to reset game
function myfunc_2() {
  location.reload();
  document.getElementById("b1").value = "";
  document.getElementById("b2").value = "";
  document.getElementById("b3").value = "";
  document.getElementById("b4").value = "";
  document.getElementById("b5").value = "";
  document.getElementById("b6").value = "";
  document.getElementById("b7").value = "";
  document.getElementById("b8").value = "";
  document.getElementById("b9").value = "";
}

flag = 1;
function myfunc_3() {
  if (flag == 1) {
    document.getElementById("b1").value = "X";
    document.getElementById("b1").disabled = true;
    flag = 0;
  } else {
    document.getElementById("b1").value = "0";
    document.getElementById("b1").disabled = true;
    flag = 1;
  }
}

function myfunc_4() {
  if (flag == 1) {
    document.getElementById("b2").value = "X";
    document.getElementById("b2").disabled = true;
    flag = 0;
  } else {
    document.getElementById("b2").value = "0";
    document.getElementById("b2").disabled = true;
    flag = 1;
  }
}

function myfunc_5() {
  if (flag == 1) {
    document.getElementById("b3").value = "X";
    document.getElementById("b3").disabled = true;
    flag = 0;
  } else {
    document.getElementById("b3").value = "0";
    document.getElementById("b3").disabled = true;
    flag = 1;
  }
}

function myfunc_6() {
  if (flag == 1) {
    document.getElementById("b4").value = "X";
    document.getElementById("b4").disabled = true;
    flag = 0;
  } else {
    document.getElementById("b4").value = "0";
    document.getElementById("b4").disabled = true;
    flag = 1;
  }
}

function myfunc_7() {
  if (flag == 1) {
    document.getElementById("b5").value = "X";
    document.getElementById("b5").disabled = true;
    flag = 0;
  } else {
    document.getElementById("b5").value = "0";
    document.getElementById("b5").disabled = true;
    flag = 1;
  }
}

function myfunc_8() {
  if (flag == 1) {
    document.getElementById("b6").value = "X";
    document.getElementById("b6").disabled = true;
    flag = 0;
  } else {
    document.getElementById("b6").value = "0";
    document.getElementById("b6").disabled = true;
    flag = 1;
  }
}

function myfunc_9() {
  if (flag == 1) {
    document.getElementById("b7").value = "X";
    document.getElementById("b7").disabled = true;
    flag = 0;
  } else {
    document.getElementById("b7").value = "0";
    document.getElementById("b7").disabled = true;
    flag = 1;
  }
}

function myfunc_10() {
  if (flag == 1) {
    document.getElementById("b8").value = "X";
    document.getElementById("b8").disabled = true;
    flag = 0;
  } else {
    document.getElementById("b8").value = "0";
    document.getElementById("b8").disabled = true;
    flag = 1;
  }
}

function myfunc_11() {
  if (flag == 1) {
    document.getElementById("b9").value = "X";
    document.getElementById("b9").disabled = true;
    flag = 0;
  } else {
    document.getElementById("b9").value = "0";
    document.getElementById("b9").disabled = true;
    flag = 1;
  }
}

</script>

</body>
	
</html>
